# -*- coding: utf-8 -*-

#from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5 import QtCore
from PyQt5.QtGui import *
from PyQt5.QtWidgets import *
from PyQt5.QtCore import *

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QApplication.translate(context, text, disambig)

"""
Tips Enum
"""
class Tips():
    CAPS_ON = 0
    CAPS_OFF = 1
    NUM_ON = 2
    NUM_OFF = 3
    TP_ON = 4
    TP_OFF = 5
    WLAN_ON = 6
    WLAN_OFF = 7
    BLUETOOTH_ON = 8
    BLUETOOTH_OFF = 9
    FLIGHT_ON = 10
    FLIGHT_OFF = 11
    MICROPHONE_ON = 12
    MICROPHONE_OFF = 13
    CAMERA_ON = 14
    CAMERA_OFF = 15


"""
ui components
"""
class Ui_MainWindow(object):

    """
    setup all ui components
    @param param2: mainwindow
    @return: no return
    """
    def setupUi(self, MainWindow):
        MainWindow.setObjectName(_fromUtf8("MainWindow"))
        MainWindow.resize(744, 126)

#        self.tipWidget = QWidget(MainWindow)
#        self.tipWidget.setGeometry(0, 0, 190, 190)
        self.tipWidget = QStackedWidget(MainWindow)
#        self.tipWidget.setGeometry(0, 0, 72, 72)
        self.tipWidget.setFixedSize(QSize(72, 72));

        # index = 0
        self.caps_on_widget = QWidget()
        self.caps_on_layout = QHBoxLayout()
        self.caps_on_layout.setContentsMargins(0, 0, 0, 0)
        self.caps_on_layout.setSpacing(0)
        self.caps_on_bg = QLabel()
        self.caps_on_bg.setScaledContents(True)
#        capsLogo = QPixmap("res/capslockOn.png")
#        self.caps_on_bg.setPixmap(capsLogo)
        self.caps_on_layout.addWidget(self.caps_on_bg)
        self.caps_on_widget.setLayout(self.caps_on_layout)
        self.tipWidget.addWidget(self.caps_on_widget)

        # index = 1
        self.caps_off_widget = QWidget()
        self.caps_off_layout = QHBoxLayout()
        self.caps_off_layout.setContentsMargins(0, 0, 0, 0)
        self.caps_off_layout.setSpacing(0)
        self.caps_off_bg = QLabel()
        self.caps_off_bg.setScaledContents(True)
        self.caps_off_layout.addWidget(self.caps_off_bg)
        self.caps_off_widget.setLayout(self.caps_off_layout)
        self.tipWidget.addWidget(self.caps_off_widget)

        # index = 2
        self.num_on_widget = QWidget()
        self.num_on_layout = QHBoxLayout()
        self.num_on_layout.setContentsMargins(0, 0, 0, 0)
        self.num_on_layout.setSpacing(0)
        self.num_on_bg = QLabel()
        self.num_on_bg.setScaledContents(True)
        self.num_on_layout.addWidget(self.num_on_bg)
        self.num_on_widget.setLayout(self.num_on_layout)
        self.tipWidget.addWidget(self.num_on_widget)

        # index = 3
        self.num_off_widget = QWidget()
        self.num_off_layout = QHBoxLayout()
        self.num_off_layout.setContentsMargins(0, 0, 0, 0)
        self.num_off_layout.setSpacing(0)
        self.num_off_bg = QLabel()
        self.num_off_bg.setScaledContents(True)
        self.num_off_layout.addWidget(self.num_off_bg)
        self.num_off_widget.setLayout(self.num_off_layout)
        self.tipWidget.addWidget(self.num_off_widget)

        # index = 4
        self.tp_on_widget = QWidget()
        self.tp_on_layout = QHBoxLayout()
        self.tp_on_layout.setContentsMargins(0, 0, 0, 0)
        self.tp_on_layout.setSpacing(0)
        self.tp_on_bg = QLabel()
        self.tp_on_bg.setScaledContents(True)
        self.tp_on_layout.addWidget(self.tp_on_bg)
        self.tp_on_widget.setLayout(self.tp_on_layout)
        self.tipWidget.addWidget(self.tp_on_widget)

        # index = 5
        self.tp_off_widget = QWidget()
        self.tp_off_layout = QHBoxLayout()
        self.tp_off_layout.setContentsMargins(0, 0, 0, 0)
        self.tp_off_layout.setSpacing(0)
        self.tp_off_bg = QLabel()
        self.tp_off_bg.setScaledContents(True)
        self.tp_off_layout.addWidget(self.tp_off_bg)
        self.tp_off_widget.setLayout(self.tp_off_layout)
        self.tipWidget.addWidget(self.tp_off_widget)

        # index = 6
        self.wlan_on_widget = QWidget()
        self.wlan_on_layout = QHBoxLayout()
        self.wlan_on_layout.setContentsMargins(0, 0, 0, 0)
        self.wlan_on_layout.setSpacing(0)
        self.wlan_on_bg = QLabel()
        self.wlan_on_bg.setScaledContents(True)
        self.wlan_on_layout.addWidget(self.wlan_on_bg)
        self.wlan_on_widget.setLayout(self.wlan_on_layout)
        self.tipWidget.addWidget(self.wlan_on_widget)

        # index = 7
        self.wlan_off_widget = QWidget()
        self.wlan_off_layout = QHBoxLayout()
        self.wlan_off_layout.setContentsMargins(0, 0, 0, 0)
        self.wlan_off_layout.setSpacing(0)
        self.wlan_off_bg = QLabel()
        self.wlan_off_bg.setScaledContents(True)
        self.wlan_off_layout.addWidget(self.wlan_off_bg)
        self.wlan_off_widget.setLayout(self.wlan_off_layout)
        self.tipWidget.addWidget(self.wlan_off_widget)

        # index = 8
        self.bluetooth_on_widget = QWidget()
        self.bluetooth_on_layout = QHBoxLayout()
        self.bluetooth_on_layout.setContentsMargins(0, 0, 0, 0)
        self.bluetooth_on_layout.setSpacing(0)
        self.bluetooth_on_bg = QLabel()
        self.bluetooth_on_bg.setScaledContents(True)
        self.bluetooth_on_layout.addWidget(self.bluetooth_on_bg)
        self.bluetooth_on_widget.setLayout(self.bluetooth_on_layout)
        self.tipWidget.addWidget(self.bluetooth_on_widget)

        # index = 9
        self.bluetooth_off_widget = QWidget()
        self.bluetooth_off_layout = QHBoxLayout()
        self.bluetooth_off_layout.setContentsMargins(0, 0, 0, 0)
        self.bluetooth_off_layout.setSpacing(0)
        self.bluetooth_off_bg = QLabel()
        self.bluetooth_off_bg.setScaledContents(True)
        self.bluetooth_off_layout.addWidget(self.bluetooth_off_bg)
        self.bluetooth_off_widget.setLayout(self.bluetooth_off_layout)
        self.tipWidget.addWidget(self.bluetooth_off_widget)

        # index = 10
        self.flight_on_widget = QWidget()
        self.flight_on_layout = QHBoxLayout()
        self.flight_on_layout.setContentsMargins(0, 0, 0, 0)
        self.flight_on_layout.setSpacing(0)
        self.flight_on_bg = QLabel()
        self.flight_on_bg.setScaledContents(True)
        self.flight_on_layout.addWidget(self.flight_on_bg)
        self.flight_on_widget.setLayout(self.flight_on_layout)
        self.tipWidget.addWidget(self.flight_on_widget)

        # index = 11
        self.flight_off_widget = QWidget()
        self.flight_off_layout = QHBoxLayout()
        self.flight_off_layout.setContentsMargins(0, 0, 0, 0)
        self.flight_off_layout.setSpacing(0)
        self.flight_off_bg = QLabel()
        self.flight_off_bg.setScaledContents(True)
        self.flight_off_layout.addWidget(self.flight_off_bg)
        self.flight_off_widget.setLayout(self.flight_off_layout)
        self.tipWidget.addWidget(self.flight_off_widget)

        # index = 12
        self.microphone_on_widget = QWidget()
        self.microphone_on_layout = QHBoxLayout()
        self.microphone_on_layout.setContentsMargins(0, 0, 0, 0)
        self.microphone_on_layout.setSpacing(0)
        self.microphone_on_bg = QLabel()
        self.microphone_on_bg.setScaledContents(True)
        self.microphone_on_layout.addWidget(self.microphone_on_bg)
        self.microphone_on_widget.setLayout(self.microphone_on_layout)
        self.tipWidget.addWidget(self.microphone_on_widget)

        # index = 13
        self.microphone_off_widget = QWidget()
        self.microphone_off_layout = QHBoxLayout()
        self.microphone_off_layout.setContentsMargins(0, 0, 0, 0)
        self.microphone_off_layout.setSpacing(0)
        self.microphone_off_bg = QLabel()
        self.microphone_off_bg.setScaledContents(True)
        self.microphone_off_layout.addWidget(self.microphone_off_bg)
        self.microphone_off_widget.setLayout(self.microphone_off_layout)
        self.tipWidget.addWidget(self.microphone_off_widget)

        # index = 14
        self.camera_on_widget = QWidget()
        self.camera_on_layout = QHBoxLayout()
        self.camera_on_layout.setContentsMargins(0, 0, 0, 0)
        self.camera_on_layout.setSpacing(0)
        self.camera_on_bg = QLabel()
        self.camera_on_bg.setScaledContents(True)
        self.camera_on_layout.addWidget(self.camera_on_bg)
        self.camera_on_widget.setLayout(self.camera_on_layout)
        self.tipWidget.addWidget(self.camera_on_widget)

        # index = 15
        self.camera_off_widget = QWidget()
        self.camera_off_layout = QHBoxLayout()
        self.camera_off_layout.setContentsMargins(0, 0, 0, 0)
        self.camera_off_layout.setSpacing(0)
        self.camera_off_bg = QLabel()
        self.camera_off_bg.setScaledContents(True)
        self.camera_off_layout.addWidget(self.camera_off_bg)
        self.camera_off_widget.setLayout(self.camera_off_layout)
        self.tipWidget.addWidget(self.camera_off_widget)

        self.centralWidget = QWidget(MainWindow)
        self.centralWidget.setObjectName(_fromUtf8("centralWidget"))

        self.mode_1 = QPushButton(self.centralWidget)
        self.mode_1.setGeometry(QtCore.QRect(5, 5, 180, 116))
        self.mode_1.setText(_fromUtf8(""))
        self.mode_1.setObjectName(_fromUtf8("mode_1"))
        self.mode_2 = QPushButton(self.centralWidget)
        self.mode_2.setGeometry(QtCore.QRect(190, 5, 180, 116))
        self.mode_2.setText(_fromUtf8(""))
        self.mode_2.setObjectName(_fromUtf8("mode_2"))
        self.mode_3 = QPushButton(self.centralWidget)
        self.mode_3.setGeometry(QtCore.QRect(375, 5, 180, 116))
        self.mode_3.setText(_fromUtf8(""))
        self.mode_3.setObjectName(_fromUtf8("mode_3"))
        self.mode_4 = QPushButton(self.centralWidget)
        self.mode_4.setGeometry(QtCore.QRect(560, 5, 180, 116))
        self.mode_4.setText(_fromUtf8(""))
        self.mode_4.setObjectName(_fromUtf8("mode_4"))

        self.bg_mode_1 = QLabel(self.centralWidget)
        self.bg_mode_1.setGeometry(QtCore.QRect(63, 43, 64, 64))
        self.bg_mode_1.setText(_fromUtf8(""))
        self.bg_mode_1.setObjectName(_fromUtf8("bg_mode_1"))
        self.lb_mode_1 = QLabel(self.centralWidget)
        self.lb_mode_1.setGeometry(QtCore.QRect(58, 18, 74, 20))
        self.lb_mode_1.setText(_fromUtf8(""))
        self.lb_mode_1.setAlignment(QtCore.Qt.AlignCenter)
        self.lb_mode_1.setObjectName(_fromUtf8("lb_mode_1"))
        self.split_1 = QLabel(self.centralWidget)
        self.split_1.setGeometry(QtCore.QRect(187, 18, 1, 90))
        self.split_1.setText(_fromUtf8(""))
        self.split_1.setObjectName(_fromUtf8("split_1"))
        self.split_2 = QLabel(self.centralWidget)
        self.split_2.setGeometry(QtCore.QRect(372, 18, 1, 90))
        self.split_2.setText(_fromUtf8(""))
        self.split_2.setObjectName(_fromUtf8("split_2"))
        self.split_3 = QLabel(self.centralWidget)
        self.split_3.setGeometry(QtCore.QRect(557, 18, 1, 90))
        self.split_3.setText(_fromUtf8(""))
        self.split_3.setObjectName(_fromUtf8("split_3"))
        self.lb_mode_2 = QLabel(self.centralWidget)
        self.lb_mode_2.setGeometry(QtCore.QRect(248, 18, 64, 20))
        self.lb_mode_2.setText(_fromUtf8(""))
        self.lb_mode_2.setAlignment(QtCore.Qt.AlignCenter)
        self.lb_mode_2.setObjectName(_fromUtf8("lb_mode_2"))
        self.lb_mode_3 = QLabel(self.centralWidget)
        self.lb_mode_3.setGeometry(QtCore.QRect(433, 18, 64, 20))
        self.lb_mode_3.setText(_fromUtf8(""))
        self.lb_mode_3.setAlignment(QtCore.Qt.AlignCenter)
        self.lb_mode_3.setObjectName(_fromUtf8("lb_mode_3"))
        self.lb_mode_4 = QLabel(self.centralWidget)
        self.lb_mode_4.setGeometry(QtCore.QRect(618, 18, 64, 20))
        self.lb_mode_4.setText(_fromUtf8(""))
        self.lb_mode_4.setAlignment(QtCore.Qt.AlignCenter)
        self.lb_mode_4.setObjectName(_fromUtf8("lb_mode_4"))
        self.bg_mode_2 = QLabel(self.centralWidget)
        self.bg_mode_2.setGeometry(QtCore.QRect(248, 43, 64, 64))
        self.bg_mode_2.setText(_fromUtf8(""))
        self.bg_mode_2.setObjectName(_fromUtf8("bg_mode_2"))
        self.bg_mode_3 = QLabel(self.centralWidget)
        self.bg_mode_3.setGeometry(QtCore.QRect(433, 43, 64, 64))
        self.bg_mode_3.setText(_fromUtf8(""))
        self.bg_mode_3.setObjectName(_fromUtf8("bg_mode_3"))
        self.bg_mode_4 = QLabel(self.centralWidget)
        self.bg_mode_4.setGeometry(QtCore.QRect(618, 43, 64, 64))
        self.bg_mode_4.setText(_fromUtf8(""))
        self.bg_mode_4.setObjectName(_fromUtf8("bg_mode_4"))

        self.bmode_1 = QPushButton(self.centralWidget)
        self.bmode_1.setGeometry(QtCore.QRect(5, 5, 180, 116))
        self.bmode_1.setText(_fromUtf8(""))
        self.bmode_1.setObjectName(_fromUtf8("bmode_1"))
        self.bmode_2 = QPushButton(self.centralWidget)
        self.bmode_2.setGeometry(QtCore.QRect(190, 5, 180, 116))
        self.bmode_2.setText(_fromUtf8(""))
        self.bmode_2.setObjectName(_fromUtf8("bmode_2"))
        self.bmode_3 = QPushButton(self.centralWidget)
        self.bmode_3.setGeometry(QtCore.QRect(375, 5, 180, 116))
        self.bmode_3.setText(_fromUtf8(""))
        self.bmode_3.setObjectName(_fromUtf8("bmode_3"))
        self.bmode_4 = QPushButton(self.centralWidget)
        self.bmode_4.setGeometry(QtCore.QRect(560, 5, 180, 116))
        self.bmode_4.setText(_fromUtf8(""))
        self.bmode_4.setObjectName(_fromUtf8("bmode_4"))
        # self.bmode_1.setStatusTip("1")
        # self.bmode_2.setStatusTip("2")
        # self.bmode_3.setStatusTip("3")
        # self.bmode_4.setStatusTip("4")

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    """
    re translate 
    @param param2: mainwindow
    @return: no return
    """
    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow", None))

